window.onload = function() {
  
  // the DICOM files
  //
  // this is a brain MR with dimensions 26x256x148 vx
  // some slices were removed to get the 'look-into-the-brain' effect

  // create a new test_renderer
  
  
  //const newconfig = {PROGRESSBAR_ENABLED: false, PICKING_ENABLED: true, ORDERING_ENABLED: true, STATISTICS_ENABLED: false, INTERMEDIATE_RENDERING: false};
  var r = new X.renderer3D();
  //r.config.PROGRESSBAR_ENABLED = false;

  var cloud = 'coraus';
  r.container = 'r1';
  r.init();
  r.camera.up = [0,0,1];
  r.camera.position=[0,0,100];
  
  
  const varr= [-0.30406394600868225, 0.07524088025093079, -0.9496762156486511, 0, -0.946669340133667, -0.13540436327457428, 0.2923745810985565, 0, -0.1065911129117012, 0.9879283905029297, 0.11240024119615555, 0, 9, -7.999949932098389, -99.9949951171875, 1];
  vpos = new Float32Array(16);
  for (var k = 0; k < varr.length; k++) {
    vpos[k]=varr[k]
    }
  r.camera.view = vpos;

  // we create the X.volume container and attach all DICOM files
  var v1 = new X.volume();
  // map the data url to each of the slices
  v1.file = cloud + '.nii';
  
  
  // add the volume
  r.add(v1);
       
  
  r.interactor.onMouseDown = function() {

    console.log(r.camera.view) // prints the view matrix as a string
    console.log(r.config) // prints the view matrix as a string
    
  };
  
  //var gui = new dat.GUI();
  
  //var trackgui = gui.addFolder('Low Density Volume Rendering');
  //trackVisibleController = trackgui.add(v1, 'visible');
  //trackgui.open();
  
  
  
    r.onShowtime = function() {
    
        
    // activate volume rendering
    v1.volumeRendering = true;
    v1.lowerThreshold = 3;
    v1.windowLower = 115;
    v1.windowHigh = 360;
    v1.minColor = [0.6,0.96,0.96];
    v1.maxColor = [0.6,0.96,0.96];
    v1.opacity = 0.05;
    
    
    
    //create spine
    for (var i = 0; i < spine_data.length; i++) {
    
    // a new cube
      var c = new X.sphere();
      // set the center position in world space
      c.center = [spine_data[i].x,spine_data[i].y,spine_data[i].z];
      c.radius=1;

      c.color = [spine_data[i].r, spine_data[i].g,spine_data[i].b];
      
      c.opacity = 1;
      
      // add it
      r.add(c);
      
      }

    for (var i = 0; i < spine_data_remaining.length; i++) {
    
      var c = new X.sphere();
      // set the center position in world space

      c.center = [spine_data_remaining[i].x,spine_data_remaining[i].y,spine_data_remaining[i].z];
      c.radius=1.;

      c.color = [spine_data_remaining[i].r, spine_data_remaining[i].g,spine_data_remaining[i].b];
      
      c.opacity = 0.25;
      
      // add it
      r.add(c);
      
    }  
    
    
  };
  
        // hide waiting screen after first render!
  r.onRender = function(){

    var loadingDiv = document.getElementById('loading');
    loadingDiv.style.display = 'none';
    
    
    
    
  }
  
  var button = document.getElementById('sunbutton');
  button.addEventListener ("click", function() 
  {
  r.camera.up = [0,0,1];
  r.camera.position=[0,-50,100];
  
  const varr= [-0.30406394600868225, 0.07524088025093079, -0.9496762156486511, 0, -0.946669340133667, -0.13540436327457428, 0.2923745810985565, 0, -0.1065911129117012, 0.9879283905029297, 0.11240024119615555, 0, 9, -7.999949932098389, -99.9949951171875, 1];
  vpos = new Float32Array(16);
  for (var k = 0; k < varr.length; k++) {
    vpos[k]=varr[k]
    }

  r.camera.view = vpos;
  r.render();

  });
  

  
  r.render();

  
};
