

window.onload = function() {
  
  // the DICOM files
  //
  // this is a brain MR with dimensions 26x256x148 vx
  // some slices were removed to get the 'look-into-the-brain' effect

  // create a new test_renderer
  
  //const newconfig = {PROGRESSBAR_ENABLED: false, PICKING_ENABLED: true, ORDERING_ENABLED: true, STATISTICS_ENABLED: false, INTERMEDIATE_RENDERING: false};
  var r = new X.renderer3D();
  //r.config.PROGRESSBAR_ENABLED = false;

  var cloud = 'cepheus';
  r.container = 'r1';
  r.init();
  r.camera.up = [0,0,1];
  r.camera.position=[0,-50,100];
  
  
  const varr= [0.9377774596214294, -0.004472389351576567, 0.34720930457115173, 0, 0.3379058837890625, 0.2420262098312378, -0.9095277190208435, 0, -0.07996530085802078, 0.970258355140686, 0.22847828269004822, 0, 9, -7.999950408935547, -66.9949951171875, 1];
  vpos = new Float32Array(16);
  for (var k = 0; k < varr.length; k++) {
    vpos[k]=varr[k]
    }
  r.camera.view = vpos;

  // we create the X.volume container and attach all DICOM files
  var v1 = new X.volume();
  // map the data url to each of the slices
  v1.file = cloud + '.nii';
  
  var v2 = new X.volume();
  v2.file = cloud + '.nii';
  
  // add the volume
  r.add(v1);
  r.add(v2);
    
  var inner_obj = new X.object();
  var inner_mesh_0 = new X.mesh();
  
  inner_mesh_0.file=cloud + '_inner_0.stl';
  inner_mesh_0.opacity=0.75;
  inner_mesh_0.color= [1,1,1];
  inner_mesh_0.modified();
  inner_obj.children.push(inner_mesh_0);

  var inner_mesh_1 = new X.mesh();
  inner_mesh_1.file=cloud + '_inner_1.stl';
  inner_mesh_1.opacity=0.75;
  inner_mesh_1.color= [1,1,1];
  inner_mesh_1.modified();
  inner_obj.children.push(inner_mesh_1);

  var inner_mesh_2 = new X.mesh();
  inner_mesh_2.file=cloud + '_inner_2.stl';
  inner_mesh_2.opacity=0.75;
  inner_mesh_2.color= [1,1,1];
  inner_mesh_2.modified();
  inner_obj.children.push(inner_mesh_2);
  
  var inner_mesh_3 = new X.mesh();
  inner_mesh_3.file=cloud + '_inner_3.stl';
  inner_mesh_3.opacity=0.75;
  inner_mesh_3.color= [1,1,1];
  inner_mesh_3.modified();
  inner_obj.children.push(inner_mesh_3);

  inner_obj.visible=false;
  r.add(inner_obj);

  var outer_obj = new X.object();
  var outer_mesh_0 = new X.mesh();
  
  outer_mesh_0.file=cloud + '_outer_0.stl';
  outer_mesh_0.opacity=0.75;
  outer_mesh_0.color= [0.6,0.96,0.96];
  outer_mesh_0.modified();
  outer_obj.children.push(outer_mesh_0);

  var outer_mesh_1 = new X.mesh();
  outer_mesh_1.file=cloud + '_outer_1.stl';
  outer_mesh_1.opacity=0.75;
  outer_mesh_1.color= [0.6,0.96,0.96];
  outer_mesh_1.modified();
  outer_obj.children.push(outer_mesh_1);

  var outer_mesh_2 = new X.mesh();
  outer_mesh_2.file=cloud + '_outer_2.stl';
  outer_mesh_2.opacity=0.75;
  outer_mesh_2.color= [0.6,0.96,0.96];
  outer_mesh_2.modified();
  outer_obj.children.push(outer_mesh_2);
  outer_obj.visible=false;
  r.add(outer_obj);
  
  
  var outer_mesh_3 = new X.mesh();
  outer_mesh_3.file=cloud + '_outer_3.stl';
  outer_mesh_3.opacity=0.75;
  outer_mesh_3.color= [0.6,0.96,0.96];
  outer_mesh_3.modified();
  outer_obj.children.push(outer_mesh_3);
  outer_obj.visible=false;
  r.add(outer_obj);
  
  r.interactor.onMouseDown = function() {

    console.log(r.camera.view) // prints the view matrix as a string
    console.log(r.config) // prints the view matrix as a string
    
  };
  
  var gui = new dat.GUI();
  

  var trackguiinner = gui.addFolder('Inner Width Topology');
  trackVisibleControllerinner = trackguiinner.add(inner_obj, 'visible');
  trackguiinner.open();

  var trackguiouter = gui.addFolder('Outer Width Topology');
  trackVisibleControllerouter = trackguiouter.add(outer_obj, 'visible');
  trackguiouter.open();
  
  
  
    r.onShowtime = function() {
    

    trackVisibleControllerinner.onChange(function(value) {


    if (!value) {
    Bokeh.documents[0].get_model_by_name('innerglyph0').line_alpha = 0;
    Bokeh.documents[0].get_model_by_name('innerglyph0').change.emit();   
    
    Bokeh.documents[0].get_model_by_name('innerglyph1').line_alpha = 0;
    Bokeh.documents[0].get_model_by_name('innerglyph1').change.emit();       
    
    Bokeh.documents[0].get_model_by_name('innerglyph2').line_alpha = 0;
    Bokeh.documents[0].get_model_by_name('innerglyph2').change.emit();       
    
    Bokeh.documents[0].get_model_by_name('innerglyph3').line_alpha = 0;
    Bokeh.documents[0].get_model_by_name('innerglyph3').change.emit();   
  
        
    }
      
    if (value) {
    Bokeh.documents[0].get_model_by_name('innerglyph0').line_alpha = 1;
    Bokeh.documents[0].get_model_by_name('innerglyph0').change.emit();  
    
    Bokeh.documents[0].get_model_by_name('innerglyph1').line_alpha = 1;
    Bokeh.documents[0].get_model_by_name('innerglyph1').change.emit();  

    Bokeh.documents[0].get_model_by_name('innerglyph2').line_alpha = 1;
    Bokeh.documents[0].get_model_by_name('innerglyph2').change.emit();  
    
    Bokeh.documents[0].get_model_by_name('innerglyph3').line_alpha = 1;
    Bokeh.documents[0].get_model_by_name('innerglyph3').change.emit();     
    

  
        
    }


    });
    
    
    // outer callbacks
    trackVisibleControllerouter.onChange(function(value) {


    if (!value) {
    Bokeh.documents[0].get_model_by_name('outerglyph0').line_alpha = 0;
    Bokeh.documents[0].get_model_by_name('outerglyph0').change.emit();       
    
    Bokeh.documents[0].get_model_by_name('outerglyph1').line_alpha = 0;
    Bokeh.documents[0].get_model_by_name('outerglyph1').change.emit();       
        
    }
      
    if (value) {
    Bokeh.documents[0].get_model_by_name('outerglyph0').line_alpha = 1;
    Bokeh.documents[0].get_model_by_name('outerglyph0').change.emit();       
    
    Bokeh.documents[0].get_model_by_name('outerglyph1').line_alpha = 1;
    Bokeh.documents[0].get_model_by_name('outerglyph1').change.emit();  
        
    }


    });
    
    
    // activate volume rendering
    v1.volumeRendering = true;
    v1.lowerThreshold = 4;
    v1.windowLower = 115;
    v1.windowHigh = 360;
    v1.minColor = [0.6,0.96,0.96];
    v1.maxColor = [0.6,0.96,0.96];
    v1.opacity = 0.05;
    
    // activate volume rendering
    v2.volumeRendering = true;
    v2.lowerThreshold = 35;
    v2.windowLower = 115;
    v2.windowHigh = 360;
    v2.minColor = [1,1,1];
    v2.maxColor = [1,1,1];
    v2.opacity = 0.15;
    
    
    //create spine
    for (var i = 0; i < spine_data.length; i++) {
    
    // a new cube
      var c = new X.sphere();
      // set the center position in world space
      c.center = [spine_data[i].x,spine_data[i].y,spine_data[i].z];
      c.radius=1;

      c.color = [spine_data[i].r, spine_data[i].g,spine_data[i].b];
      
      c.opacity = 1;
      
      // add it
      r.add(c);
      
    }
    

   
  };
  
      // hide waiting screen after first render!
  r.onRender = function(){

    var loadingDiv = document.getElementById('loading');
    loadingDiv.style.display = 'none';
    
    
    
    
  }
  
  var button = document.getElementById('sunbutton');
  button.addEventListener ("click", function() 
  {
  r.camera.up = [0,0,1];
  r.camera.position=[0,-50,100];
  
  const varr= [0.9377774596214294, -0.004472389351576567, 0.34720930457115173, 0, 0.3379058837890625, 0.2420262098312378, -0.9095277190208435, 0, -0.07996530085802078, 0.970258355140686, 0.22847828269004822, 0, 9, -7.999950408935547, -66.9949951171875, 1];
  vpos = new Float32Array(16);
  for (var k = 0; k < varr.length; k++) {
    vpos[k]=varr[k]
    }
  r.camera.view = vpos;
  r.render();

  });
  

    
  r.render();

  
};
